name: Bomen
defaultPage: Overzichtskaart

resources:
  boom:
    url: https://api.stadswerken.amsterdam/gisib/bomen

theme:
  splashColor: '#ffffff'
  themeColor: '#eb0000'
  primaryColor: '#eb0000'

authentication:
  - method: email
    url: https://api.stadswerken.amsterdam/login
    refreshURL: https://api.stadswerken.amsterdam/token/refresh

pages:
  - name: Overzichtskaart
    scope:
      - '*'
    blocks:
      - type: map
        version: 1.0.0
        parameters:
          latitude: lat
          longitude: lng
        actions:
          markerClick:
            type: link
            to: Boom details
          load:
            type: resource.query
            resource: boom
            query:
              object.from:
                $orderBy: 'created_at desc'
                $top: 1000

  - name: Boom details
    scope:
      - '*'
    parameters:
      - id
    blocks:
      - type: detail-viewer
        version: 1.0.0
        parameters:
          fields:
            - name: wijk
              label: Wijk
            - name: Buurt
            - name: openbareRuimte
              label: Openbare Ruimte
            - name: jaarVanAanleg
              label: Jaar van Aanleg
            - name: soortnaamBomen
              label: Soortnaam (Latijn)
            - name: soortnaamBomenNL
              label: Soortnaam (Nederlands)
            - name: typeObject
              label: Type
            - name: stamdiameterklasse
              label: Stamdiameterklasse
            - name: boomhoogteklasse
              label: Boomhoogteklasse
            - name: groeifase
              label: Groeifase
        actions:
          load:
            type: resource.get
            resource: boom
